#!/usr/bin/ruby

require 'opal'

def build(script) 
  
  root = File.expand_path '../..', __FILE__
  
  Opal.append_path "."
  Opal.append_path root+"/lib"
  src = IO.binread(root+"/lib/processing.js")
  src << IO.binread(root+"/lib/hammer.js")
  src << IO.binread(root+"/lib/opal.js")
  src << Opal::Builder.build("app").to_s
  src << Opal::Builder.build(script).to_s
  File.binwrite "app.js", src
  
  html = IO.binread(root+"/lib/template.html")
  File.binwrite "main.html", html
  
end
build(ARGV[0])